Subject: Re: What's cooking in git.git (Aug 2020, #02; Mon, 10)

From: Junio C Hamano <[email-masked]>
Date: Tue, 11 Aug 2020 12:23:59 -0700

Sergey Organov <[email-masked]> writes:

> Junio C Hamano <[email-masked]> writes:
>
> [...]
>
>> * jk/log-fp-implies-m (2020-07-29) 7 commits
>>   (merged to 'next' on 2020-08-03 at 39fefa6b82)
>>  + doc/git-log: clarify handling of merge commit diffs
>>  + doc/git-log: move "-t" into diff-options list
>>  + doc/git-log: drop "-r" diff option
>>  + doc/git-log: move "Diff Formatting" from rev-list-options
>>  + log: enable "-m" automatically with "--first-parent"
>>  + revision: add "--no-diff-merges" option to counteract "-m"
>>  + log: drop "--cc implies -m" logic
>>
>>  Originally merged to 'next' on 2020-08-01
>>
>>  "git log --first-parent -p" showed patches only for single-parent
>>  commits on the first-parent chain; the "--first-parent" option has
>>  been made to imply "-m".  Use "--no-diff-merges" to restore the
>>  previous behaviour to omit patches for merge commits.
>>
>>  On hold a bit.
>>  cf. <[email-masked]>
>
> I believe I've submitted resolution for that.
>
> <[email-masked]>
>
> Do you expect anything from me to push all this further?

I was waiting for a reroll of the "resolution" with just one extra
test I mentioned in <[email-masked]> in the
thread.  With that everything would be good to go, I would think.